--- old/./v8plus_subr.cc	2013-02-04 06:09:42.329801358 +0000
+++ new/./v8plus_subr.cc	2013-02-04 06:09:42.335283735 +0000
@@ -453,7 +453,7 @@
 }
 
 extern "C" nvlist_t *
-v8plus_method_call(void *cop, const char *name, const nvlist_t *lp)
+v8plus_method_call_direct(void *cop, const char *name, const nvlist_t *lp)
 {
 	v8plus::ObjectWrap *op = v8plus::ObjectWrap::objlookup(cop);
 	const int max_argc = nvlist_length(lp);
@@ -462,6 +462,9 @@
 	v8::Handle<v8::Value> res;
 	nvlist_t *rp;
 
+	if (v8plus_in_event_thread() != _B_TRUE)
+		v8plus_panic("direct method call outside of event loop");
+
 	argc = max_argc;
 	nvlist_to_v8_argv(lp, &argc, argv);
 
